package example.client;

import org.eclipse.core.runtime.IPlatformRunnable;

import example.clientserver.IExampleRemote;
import example.registrar.bean.BeanRegistrar;

/**
 * This class controls all aspects of the application's execution
 */
public class Application implements IPlatformRunnable
{
	/*
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.core.runtime.IPlatformRunnable#run(java.lang.Object)
	 */
	public Object run(Object args) throws Exception
	{
		System.out.println("SecurityManager: " + System.getSecurityManager());
		
		System.out.println("Application class loader: " + getClass().getClassLoader());
		IExampleRemote remote = (IExampleRemote) BeanRegistrar.getInstance().lookupBean(IExampleRemote.DEFAULT_JNDI_NAME);
		remote.doSomething();
		
		return IPlatformRunnable.EXIT_OK;
	}
}
