package example.server;

import javax.annotation.security.PermitAll;
import javax.ejb.Stateless;

import org.jboss.annotation.ejb.RemoteBinding;

import example.clientserver.IExample;
import example.clientserver.IExampleRemote;

@Stateless
@RemoteBinding(jndiBinding=IExampleRemote.DEFAULT_JNDI_NAME)
@PermitAll
public class ExampleBean implements IExample, IExampleRemote
{
	public void doSomething()
	{
		System.out.println("doSomething");
	}
}
